package com.fs.his.service.impl;

import java.util.List;

import com.fs.his.param.*;
import com.fs.his.vo.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.his.mapper.FsInquiryOrderPingMapper;
import com.fs.his.domain.FsInquiryOrderPing;
import com.fs.his.service.IFsInquiryOrderPingService;

/**
 * 评价Service业务层处理
 *
 * @author fs
 * @date 2023-07-03
 */
@Service
public class FsInquiryOrderPingServiceImpl implements IFsInquiryOrderPingService
{
    @Autowired
    private FsInquiryOrderPingMapper fsInquiryOrderPingMapper;

    /**
     * 查询评价
     *
     * @param pingId 评价主键
     * @return 评价
     */
    @Override
    public FsInquiryOrderPing selectFsInquiryOrderPingByPingId(Long pingId)
    {
        return fsInquiryOrderPingMapper.selectFsInquiryOrderPingByPingId(pingId);
    }

    /**
     * 查询评价列表
     *
     * @param fsInquiryOrderPing 评价
     * @return 评价
     */
    @Override
    public List<FsInquiryOrderPing> selectFsInquiryOrderPingList(FsInquiryOrderPing fsInquiryOrderPing)
    {
        return fsInquiryOrderPingMapper.selectFsInquiryOrderPingList(fsInquiryOrderPing);
    }

    /**
     * 新增评价
     *
     * @param fsInquiryOrderPing 评价
     * @return 结果
     */
    @Override
    public int insertFsInquiryOrderPing(FsInquiryOrderPing fsInquiryOrderPing)
    {
        return fsInquiryOrderPingMapper.insertFsInquiryOrderPing(fsInquiryOrderPing);
    }

    /**
     * 修改评价
     *
     * @param fsInquiryOrderPing 评价
     * @return 结果
     */
    @Override
    public int updateFsInquiryOrderPing(FsInquiryOrderPing fsInquiryOrderPing)
    {
        return fsInquiryOrderPingMapper.updateFsInquiryOrderPing(fsInquiryOrderPing);
    }

    /**
     * 批量删除评价
     *
     * @param pingIds 需要删除的评价主键
     * @return 结果
     */
    @Override
    public int deleteFsInquiryOrderPingByPingIds(Long[] pingIds)
    {
        return fsInquiryOrderPingMapper.deleteFsInquiryOrderPingByPingIds(pingIds);
    }

    /**
     * 删除评价信息
     *
     * @param pingId 评价主键
     * @return 结果
     */
    @Override
    public int deleteFsInquiryOrderPingByPingId(Long pingId)
    {
        return fsInquiryOrderPingMapper.deleteFsInquiryOrderPingByPingId(pingId);
    }

    @Override
    public List<FsInquiryOrderPingListUVO> selectFsInquiryOrderPingListUVO(FsInquiryOrderPingListUParam param) {
        return fsInquiryOrderPingMapper.selectFsInquiryOrderPingListUVO(param);
    }

    @Override
    public List<FsDoctorPingUVO> selectFsDoctorPingListUVO(FsDoctorPingListUParam param) {
        return fsInquiryOrderPingMapper.selectFsDoctorPingListUVO(param);
    }

    @Override
    public List<FsInquiryOrderPingListDVO> selectFsInquiryOrderPingListDVO(FsInquiryOrderPingListDParam param) {
        return fsInquiryOrderPingMapper.selectFsInquiryOrderPingListDVO(param);
    }

    @Override
    public List<FsInquiryOrderPingListVO> selectFsInquiryOrderPingListVO(FsInquiryOrderDoctorPingParam fsInquiryOrderPing) {
        return fsInquiryOrderPingMapper.selectFsInquiryOrderPingListVO(fsInquiryOrderPing);
    }

    @Override
    public List<FsInquiryOrderPingExportListVO> selectFsInquiryOrderPingExportListVO(FsInquiryOrderDoctorPingParam fsInquiryOrderPing) {
        return fsInquiryOrderPingMapper.selectFsInquiryOrderPingExportListVO(fsInquiryOrderPing);
    }
}
